Package groovy.grape

# Interface GrapeEngine

public interface GrapeEngine

Author:
  Danno Ferrin

## Method Summary

Modifier and Type
Method
Description
`void`
`addResolver(Map<String,Object> args)`
`Map<String,Map<String,List<String>>>`
`enumerateGrapes()`
`Object`
`grab(String endorsedModule)`
`Object`
`grab(Map args)`
`Object`
`grab(Map args, Map... dependencies)`
`Map[]`
`listDependencies(ClassLoader classLoader)`
`URI[]`
`resolve(Map args, List depsInfo, Map... dependencies)`
`URI[]`
`resolve(Map args, Map... dependencies)`

## Method Details

### grab

Object grab(String endorsedModule)

### grab

Object grab(Map args)

### grab

Object grab(Map args, Map... dependencies)

### enumerateGrapes

Map<String,Map<String,List<String>>> enumerateGrapes()

### resolve

URI[] resolve(Map args, Map... dependencies)

### resolve

URI[] resolve(Map args, List depsInfo, Map... dependencies)

### listDependencies

Map[] listDependencies(ClassLoader classLoader)

### addResolver

void addResolver(Map<String,Object> args)